Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.travelingtournament.domain
Class Team

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.travelingtournament.domain.Team

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class Team

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`Team()`

Method Summary
`int` | `getDistance(Team other)`
`Map<Team,Integer>` | `getDistanceToTeamMap()`
`String` | `getName()`
`void` | `setDistanceToTeamMap(Map<Team,Integer> distanceToTeamMap)`
`void` | `setName(String name)`
`String` | `toString()`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Team

    public Team()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getDistanceToTeamMap

    public Map<Team,Integer> getDistanceToTeamMap()

### setDistanceToTeamMap

    public void setDistanceToTeamMap(Map<Team,Integer> distanceToTeamMap)

### getDistance

    public int getDistance(Team other)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.